/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreValuelistPersonlist;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreValuelistPersonlistRecord extends TableRecordImpl<VCoreValuelistPersonlistRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_valuelist_personlist.valuelist</code>.
     */
    public void setValuelist(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_personlist.valuelist</code>.
     */
    public Integer getValuelist() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_valuelist_personlist.user</code>.
     */
    public void setUser(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_personlist.user</code>.
     */
    public String getUser() {
        return (String) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreValuelistPersonlistRecord
     */
    public VCoreValuelistPersonlistRecord() {
        super(VCoreValuelistPersonlist.V_CORE_VALUELIST_PERSONLIST);
    }

    /**
     * Create a detached, initialised VCoreValuelistPersonlistRecord
     */
    public VCoreValuelistPersonlistRecord(Integer valuelist, String user) {
        super(VCoreValuelistPersonlist.V_CORE_VALUELIST_PERSONLIST);

        setValuelist(valuelist);
        setUser(user);
        resetChangedOnNotNull();
    }
}
